#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,320,704,1408,1728,1920,1984,2112,2880,5824
 * N : 25,128,320,704,1408,1728,1920,1984,2112,2880,5824
 * NB : 5,12,64,64,64,64,64,64,128,128,192
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 5; \
   else if ((n_) < 224) (nb_) = 12; \
   else if ((n_) < 2048) (nb_) = 64; \
   else if ((n_) < 4352) (nb_) = 128; \
   else (nb_) = 192; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
